Bug 140435 - ls(1), section STANDARD: the -A is exception from POSIX also
Summary: ls(1), section STANDARD: the -A is exception from POSIX also
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gordon Bergling
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2009-11-10 00:30 UTC by Dan Lukes
Modified: 2020-09-03 13:23 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2009-11-10 00:30:01 UTC
	see Synopsis

Fix: 

Change text
     With the exception of options -I, -g, -n and -o, the ls utility conforms
     to IEEE Std 1003.1-2001 (``POSIX.1'').
To
     With the exception of options -A, -I, -g, -n and -o, the ls utility conforms
     to IEEE Std 1003.1-2001 (``POSIX.1'').
How-To-Repeat: 	N/A
Comment 1 Jaakko Heinonen freebsd_committer 2010-02-17 13:56:25 UTC
-n and -A are in POSIX.1-2008. Maybe this change would be more
reasonable?

%%%
Index: bin/ls/ls.1
===================================================================
--- bin/ls/ls.1	(revision 203983)
+++ bin/ls/ls.1	(working copy)
@@ -688,13 +688,13 @@ specification.
 .Xr sticky 8
 .Sh STANDARDS
 With the exception of options
-.Fl I , g , n
+.Fl I , g
 and
 .Fl o ,
 the
 .Nm
 utility conforms to
-.St -p1003.1-2001 .
+.St -p1003.1-2008 .
 .Pp
 The ACL support is compatible with
 .Tn IEEE
%%%

-- 
Jaakko
Comment 2 Dan Lukes 2010-02-17 14:47:33 UTC
In the fact, I prefer conformance declarations with extensions like the 
one used in pax or expr manual pages against declaration with exception 
used in ls page.

Eg. something like:

The ls utility is a superset of the IEEE Std 1003.1-2001 (``POSIX.1'').
The options -n and -A conforms to the IEEE Std 1003.1-2008.
The options -I, -g, -o are FreeBSD's extension.


But it's up to comitter.

					Dan
Comment 3 Alexander Best freebsd_committer 2011-01-04 17:15:29 UTC
Responsible Changed
From-To: freebsd-doc->arundel

Dan Lukes's proposal in his latest reply to this PR looks very reasonable. I'll 
try to come up with a patch to integrate it into the ls(1) manual.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2013-05-12 01:01:21 UTC
Responsible Changed
From-To: arundel->eadler

I'll take it.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2013-07-15 22:07:18 UTC
Responsible Changed
From-To: eadler->freebsd-bugs

I don't have time to deal with this now.
Comment 6 Gordon Bergling freebsd_committer 2020-08-18 08:06:53 UTC
I created a differential for further tracking.
Comment 7 commit-hook freebsd_committer 2020-08-21 06:20:40 UTC
A commit references this bug:

Author: gbe
Date: Fri Aug 21 06:20:12 UTC 2020
New revision: 364449
URL: https://svnweb.freebsd.org/changeset/base/364449

Log:
  ls(1): Update POSIX conformance from 2001 to 2008

  - Update the options that are non-existing in POSIX from 2001 to 2008
  - Update POSIX conformance in the STANDARDS section from 2001 to 2008

  Verified by checking [1].

  [1] https://pubs.opengroup.org/onlinepubs/9699919799.2016edition/toc.htm

  PR:		140435
  Submitted by:	Dan Lukes <dan at obluda dot cz>
  Reviewed by:	bcr
  Approved by:	bcr
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D26096

Changes:
  head/bin/ls/ls.1
Comment 8 commit-hook freebsd_committer 2020-09-03 13:22:44 UTC
A commit references this bug:

Author: gbe
Date: Thu Sep  3 13:22:09 UTC 2020
New revision: 365297
URL: https://svnweb.freebsd.org/changeset/base/365297

Log:
  MFC r364449, r365004: ls(1): Update POSIX conformance

  - Update the POSIX references for non-standard ls(1) options
  - Simplify the STANDARDS section by mention both supported POSIX versions

  Verified by checking [1].

  [1] https://pubs.opengroup.org/onlinepubs/9699919799.2016edition/toc.htm

  PR: 140435 (based on)
  Submitted by:	Dan Lukes <dan at obluda dot cz>
  Reviewed by:	hrs, bcr
  Approved by:	hrs, bcr
  Differential Revision:	https://reviews.freebsd.org/D26210

Changes:
_U  stable/12/
  stable/12/bin/ls/ls.1